## com.baidubce.services.bos.model
Class ListBucketsResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.bos.model.BosResponse
              com.baidubce.services.bos.model.ListBucketsResponse

    public class ListBucketsResponse

extends BosResponse

Response object for listing all the Baidu Bos buckets owned by a user.

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`ListBucketsResponse()`

Method Summary
`List<BucketSummary>` `getBuckets()`
`User` `getOwner()`
`void` `setBuckets(List<BucketSummary> buckets)`
`void` `setOwner(User owner)`

Methods inherited from class com.baidubce.services.bos.model.BosResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListBucketsResponse

    public ListBucketsResponse()

Method Detail

### getOwner

    public User getOwner()

### setOwner

    public void setOwner(User owner)

### getBuckets

    public List<BucketSummary> getBuckets()

### setBuckets

    public void setBuckets(List<BucketSummary> buckets)

Copyright © 2016. All rights reserved.